<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <div class="row">
        <div class="col-md-6">
          <h6 class="mb-1">Access Delivery</h6>
        </div>
        <div class="col-md-6 offset-md-12">
          <div class="text-right">
            <a target="_blank" rel="noopener noreferrer" href="http://webcontoo.corp.sprint.com/webcontoo/llisapi.dll/fetch/2000/1835597/1836298/14404/106652/106324/107866/106767/6074490/0069791_Access_Delivery_Events_in_Comprehensive_Order_Workflow_System_COWS_.pdf?nodeid=6449467&vernum=-2">AD Event Job Aid for IPMs/Members</a>
          </div>
        </div>
      </div>
      <form [formGroup]="form" novalidate>
        <div class="form-row text-center m-1">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
        <div *ngIf="!editMode; then editTemplate; else saveTemplate;"></div>
        <ng-template #editTemplate>
          <button *ngIf="showEditButton" type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid || circuitList.length == 0">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Item Title: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="itemTitle" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-lg-24">
            <label class="col-form-label col-24 col-lg-4">Event <span class="d-inline-block d-lg-none">Desc</span><span class="d-none d-lg-inline-block">Description</span>: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventDescription" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event ID: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventID" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event Status: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <dx-select-box [items]="eventStatusList"
                             displayExpr="description"
                             valueExpr="value"
                             formControlName="eventStatus"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">AD Type: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <dx-select-box [items]="adTypeList"
                             displayExpr="enhncSrvcNme"
                             valueExpr="enhncSrvcId"
                             formControlName="adType"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">M5 #: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <div class="input-group">
                <input type="text" class="form-control form-control-sm" formControlName="m5_no" />
                <app-lookup-m5 *ngIf="option.lookup_m5?.isEnabled" [group]="form" [option]="option.lookup_m5" [eventType]="eventType"></app-lookup-m5>
              </div>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8 text-danger">H1: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="h1" />
              <div *ngIf="h1.invalid && (h1.dirty || h1.touched || isSubmitted)">
                <span *ngIf="h1.errors.required" class="form-text text-danger">
                  H1 is required
                </span>
                <span *ngIf="h1.errors.invalidH1" class="form-text text-danger">
                  H1 field is not in correct format. H1 should contain 9 digits only.
                </span>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">H6: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="h6" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">CharsID: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="charsID" />
            </div>
          </div>
        </div>
        <br />
        <app-customer-template [group]="form.controls.customer" [option]="option.customer" [isSubmitted]="isSubmitted"></app-customer-template>
        <app-requestor-template [group]="form.controls.requestor" [option]="option.requestor" [isSubmitted]="isSubmitted"></app-requestor-template>
        <app-sales-template [group]="form.controls.sales" [option]="option.sales" [isSubmitted]="isSubmitted"></app-sales-template>
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-1">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Events</h6></mat-panel-title>
            </mat-expansion-panel-header>

            <div formGroupName="event">
              <app-escalation-template [group]="form.controls.event" [option]="option.event"></app-escalation-template>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-xxl-12">
                  <label class="col-form-label col-24 col-lg-4 col-xxl-8">Published Email CC: </label>
                  <div class="col-24 col-lg-20 col-xl-12 col-xxl-16 pl-0 pl-lg-3">
                    <div class="input-group">
                      <input type="text" class="form-control form-control-sm" formControlName="publishedEmailCC" />
                      <app-user-finder *ngIf="option.event.userFinderForPublishedEmail?.isEnabled" id="published-email" [group]="form.controls.event" [option]="option.event.userFinderForPublishedEmail"></app-user-finder>
                    </div>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-24 col-xxl-12">
                  <label class="col-form-label col-24 col-lg-4 col-xxl-8">Completed Email CC: </label>
                  <div class="col-24 col-lg-20 col-xl-12 col-12 col-xxl-16 pl-0 pl-lg-3">
                    <div class="input-group">
                      <input type="text" class="form-control form-control-sm" formControlName="completeEmailCC" />
                      <app-user-finder *ngIf="option.event.userFinderForCompleteEmail?.isEnabled" id="complete-email" [group]="form.controls.event" [option]="option.event.userFinderForCompleteEmail"></app-user-finder>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4 text-danger">Description and Comments: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                    <div *ngIf="comments.invalid && (comments.dirty || comments.touched || isSubmitted)">
                      <span *ngIf="comments.errors.required" class="form-text text-danger">
                        Description and Comments is required
                      </span>
                    </div>
                    <div class="mt-2">
                      <dx-check-box formControlName="isCPEAttending"
                                    text="Is CPE Attending?">
                      </dx-check-box>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4">Links <small>(Documents / Cut Sheets)</small>: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="links" rows="5"></textarea>
                  </div>
                </div>
              </div>
            </div>
            <mat-accordion>
              <mat-expansion-panel [expanded]="true" class="mb-1">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title><h6>Circuit Information</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <dx-data-grid #grid id="dgCircuit" [dataSource]="circuitList" keyExpr="eventId"
                              (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                              [rowAlternationEnabled]="true" [showBorders]="true">
                  <dxo-sorting mode="multiple"></dxo-sorting>
                  <dxo-editing *ngIf="editMode" mode="row"
                               [allowUpdating]="true"
                               [allowDeleting]="true"
                               [allowAdding]="true">
                  </dxo-editing>
                  <dxo-paging [pageSize]="50"></dxo-paging>

                  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                  <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                  <dxi-column dataField="cktId" caption="Old Circuit / Private Line" dataType="string"></dxi-column>
                  <dxi-column dataField="oldCktId" caption="New Circuit / Private Line" dataType="string"></dxi-column>
                </dx-data-grid>
                <div *ngIf="circuitList.length == 0 && isSubmitted">
                  <span class="form-text text-danger">
                    Circuit information is required
                  </span>
                </div>
              </mat-expansion-panel>
            </mat-accordion>
            <app-schedule-template [group]="form" [option]="option" [eventId]="id"
                                   [eventType]="eventType" [circuitInfo]="circuitList"
                                   [isReviewer]="profile == 'Reviewer' ? true : false"
                                   [parent]="this">
            </app-schedule-template>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8">Workflow Status: </label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="workflowStatusList"
                                 displayExpr="wrkflwStusDes"
                                 valueExpr="wrkflwStusId"
                                 formControlName="workflowStatus"></dx-select-box>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>
        <app-reviewer-template *ngIf="isReviewer && isRevActTask" [group]="form.controls.reviewer"
                               [option]="option.reviewer" [isSubmitted]="isSubmitted">
        </app-reviewer-template>
        <app-activators-template *ngIf="isActivator && isRevActTask && editMode"
                                 [eventTypeId]="eventType" [group]="form.controls.activators"
                                 [option]="option.activator" [isSubmitted]="isSubmitted">
        </app-activators-template>
        <app-event-history-template *ngIf="id > 0" [id]="id" [accordion]="true"></app-event-history-template>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
        <div *ngIf="!editMode; then editTemplate; else saveTemplate;"></div>
        <ng-template #editTemplate>
          <button *ngIf="showEditButton" type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid || circuitList.length == 0">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
      </form>
    </div>
      </div>
    </div>
